kind: Deployment
apiVersion: apps/v1
metadata:
  name: fair4fusion-similarity-rest
spec:
  selector:
    matchLabels:
      app: fair4fusion-similarity-rest
  replicas: 1
  template:
    metadata:
      labels:
        app: fair4fusion-similarity-rest
    spec:
      containers:
        - name: fair4fusion-similarity-rest
          image: registry.gitlab.com/fair4fusion/deployment/similarity_operator 
          imagePullPolicy: Always
          ports:
            - containerPort: 8000
          volumeMounts:
            - name: fair4fusion-demo-storage
              mountPath: /work
      volumes:
        - name: fair4fusion-demo-storage
          persistentVolumeClaim:
            claimName: fair4fusion-demo-storage
